import SocketServer, time
from threading import Thread

class AberSimServer(Thread):

	def __init__(self, port):
		self.clientlist = []
		self.port = port

	def start(self):
		tcpd = SocketServer.ThreadingTCPServer(('', self.port), Handler)
		tcpd.serve_forever()


class Handler(SocketServer.StreamRequestHandler, SocketServer.ThreadingMixIn):

	def handle(self):
		running = 1
		while running:
			data = self.rfile.readline()
			data = data.replace("\n", "")
			data = data.replace("\r", "")
			if data:
				#Handle input
				if data[:4] == "EXIT":
					running = 0
			else:
				running = 0

			time.sleep(0.001)
